Bug 831481 - [abrt] simple-scan-3.4.1-1.fc17: Process /usr/bin/simple-scan was killed by signal 6 (SIGABRT)
[abrt] simple-scan-3.4.1-1.fc17: Process /usr/bin/simple-scan was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: simple-scan (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:0224b220658f5863f926c7a56d5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 01:55 EDT by BenTrein
Modified: 2013-08-01 00:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.35 KB, text/plain)
2012-06-13 01:55 EDT, BenTrein
no flags Details
File: maps (43.29 KB, text/plain)
2012-06-13 01:55 EDT, BenTrein
no flags Details
File: dso_list (17.40 KB, text/plain)
2012-06-13 01:55 EDT, BenTrein
no flags Details
File: build_ids (6.93 KB, text/plain)
2012-06-13 01:55 EDT, BenTrein
no flags Details

  None (edit)
Description BenTrein 2012-06-13 01:55:39 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        simple-scan
comment:        Hit scan, scanner responded for a minute. Then stopped. Hit scan again. Hit scan again. Crash.
executable:     /usr/bin/simple-scan
kernel:         3.4.0-1.fc17.i686.PAE
pid:            1241
pwd:            /home/ben
time:           Wed 13 Jun 2012 12:03:57 PM ICT
uid:            1002
username:       ben
var_log_messages: Jun 13 12:03:58 Ares abrt[1294]: Saved core dump of pid 1241 (/usr/bin/simple-scan) to /var/spool/abrt/ccpp-2012-06-13-12:03:57-1241 (33681408 bytes)

backtrace:      Text file, 65896 bytes
build_ids:      Text file, 7093 bytes
dso_list:       Text file, 17814 bytes
maps:           Text file, 44331 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ben/2

core_backtrace:
:e414308f1b40a11d99a2a34a600bc6c6529900d3 0x424 __kernel_vsyscall linux-gate.so.1 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x2e95f raise libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x302b3 abort libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x6c7b5 __libc_message libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x74139 _int_free libc.so.6 -
:e9363a6b468d459c7e4cb0d9757079106b3a882c 0x5a868 - libpixman-1.so.0 -
:e9363a6b468d459c7e4cb0d9757079106b3a882c 0x5c380 pixman_region32_union libpixman-1.so.0 -
:c25f4a34816c8918d5cce3f8b7a851948c6db023 0x434e3 cairo_region_union libcairo.so.2 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x27399 - libgdk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2d16ef - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2dac33 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2dacd7 gtk_widget_queue_resize libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2dfcf1 gtk_widget_set_sensitive libgtk-3.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xeb4f g_cclosure_marshal_VOID__VOID libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1ea3d - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26ce1 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x27315 g_signal_emit_by_name libgobject-2.0.so.0 -
:a68fedf72a5d69129e8b674258094512d773a645 0x222a3 - [exe] -
:a68fedf72a5d69129e8b674258094512d773a645 0x230d4 - [exe] -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x6c2e4 - libglib-2.0.so.0 -
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a 0x6adf start_thread libpthread.so.0 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0xf155e clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=Ares.siss
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/xxx/keyring-YIT27s
:IMSETTINGS_MODULE=none
:USER=xxx
:USERNAME=xxx
:MAIL=/var/spool/mail/xxx
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/xxx/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/xxx
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=774
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/xxx
:SHLVL=1
:LOGNAME=xxx
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-EDDazZdVhC,guid=d676740ea0bd06bf6afa826700000027
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/xxx
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-xxx-qB1RVJ/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/778,unix/unix:/tmp/.ICE-unix/778
:SSH_AUTH_SOCK=/run/user/xxx/keyring-YIT27s/ssh
:GPG_AGENT_INFO=/run/user/xxx/keyring-YIT27s/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/simple-scan.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1241
:DESKTOP_STARTUP_ID=gnome-shell-997-Ares.siss-simple-scan-0_TIME71261

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7835                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7835                 7835                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/ben/.xsession-errors
:2:/home/ben/.xsession-errors
:3:socket:[20809]
:4:anon_inode:[eventfd]
:5:socket:[20814]
:6:/home/ben/.cache/simple-scan/simple-scan.log
:7:anon_inode:[eventfd]
:8:socket:[20822]
:9:socket:[20303]
:10:anon_inode:[eventfd]
:11:anon_inode:[eventfd]
:12:pipe:[20306]
:13:pipe:[20306]
:14:anon_inode:[timerfd]
:15:socket:[20392]
:16:/dev/urandom
:17:socket:[20850]
:18:anon_inode:inotify
:19:socket:[20851]
:20:/dev/bus/usb/002/002

smolt_data:
:
:
:General
:=================================
:UUID: 6ba960a2-3eeb-4e73-a2f6-82052645f442
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3192.06
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Atom(TM) CPU  230   @ 1.60GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 28
:Number of CPUs: 2
:CPU Speed: 1599
:System Memory: 995
:System Swap: 2047
:Vendor: eMachines
:System: EL1600 R01-A1L
:Form factor: Desktop
:Kernel: 3.4.0-1.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4545:1568:4545:1568) pci, None, SIMPLE, Lucent V.92 Data/Fax Modem
:(32902:10098:4133:597) pci, i915, VIDEO, 82945G/GZ Integrated Graphics Controller
:(32902:10176:4133:597) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10192:4133:597) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10168:4133:597) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(32902:10200:4133:597) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:4133:597) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10202:4133:597) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9294:4133:597) pci, None, PCI/PCI, 82801 PCI Bridge
:(4332:33078:4133:597) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10185:4133:597) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4133:597) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10096:4133:597) pci, agpgart-intel, HOST/PCI, 82945G/GZ/P/PL Memory Controller Hub
:(32902:10186:4133:597) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:4133:597) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4133:597) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 12774619 11407393 10767393 3203072 3042619 3042619
:/dev/sda3 /home ext4 4096 4096 25708512 19210199 17922801 6438912 6372638 6372638
:

xsession_errors:
:** (simple-scan:1241): WARNING **: scanner.vala:801: Unable to get open device: Error during device I/O
:** (simple-scan:1241): WARNING **: scanner.vala:801: Unable to get open device: Access to resource has been denied
:** (simple-scan:1241): WARNING **: scanner.vala:801: Unable to get open device: Access to resource has been denied
:*** glibc detected *** simple-scan: double free or corruption (fasttop): 0x090ebf40 ***
:simple-scan[0x806a2a3]
:simple-scan[0x806b0d4]
:08048000-08085000 r-xp 00000000 08:01 1712134    /usr/bin/simple-scan
:08085000-08086000 r--p 0003c000 08:01 1712134    /usr/bin/simple-scan
:08086000-0808b000 rw-p 0003d000 08:01 1712134    /usr/bin/simple-scan
Comment 1 BenTrein 2012-06-13 01:55:47 EDT
Created attachment 591353 [details]
File: backtrace
Comment 2 BenTrein 2012-06-13 01:55:52 EDT
Created attachment 591354 [details]
File: maps
Comment 3 BenTrein 2012-06-13 01:55:56 EDT
Created attachment 591355 [details]
File: dso_list
Comment 4 BenTrein 2012-06-13 01:55:59 EDT
Created attachment 591356 [details]
File: build_ids
Comment 5 Tamilselvan 2012-12-08 14:17:56 EST
Step 1: Started scan app
Step 2: Scanned a receipt by clicking 3 times with a interval of 3 seconds.
Suddenly the scan app closed.


backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 D. Hugh Redelmeier 2013-01-11 10:05:46 EST
I got one of these.  I happened to have invoked simple-scan from the command line so I have stdout/stderr.  The most interesting part of it is the first message:

[hugh@redsquare emily]$ simple-scan 
*** glibc detected *** simple-scan: double free or corruption (fasttop): 0x0000000001b88b50 ***

I had looked at the traceback and hadn't noticed this message but I did see _int_free was what had detected a problem.

I was not doing anything tricky.  I had scanned 3 pages of a4 paper, nothing obviously odd except (1) I was using brscan4, a proprietary SANE driver for my Brother device, and (2) I left the preferences window up while scanning.

Since the likely double-free was in display code, the SANE driver is probably not to blame.
Comment 7 D. Hugh Redelmeier 2013-01-11 10:26:39 EST
Got another crash but Automatic Bug Reporting Tool took me to https://bugzilla.redhat.com/show_bug.cgi?id=832647
for the second.  I would guess that they are the same bug (double-free or arena corruption).
Comment 8 D. Hugh Redelmeier 2013-02-08 01:13:08 EST
happened again.

So I tried to build simple-scan from the development trunk.  Because a lot of bugs have been fixed since 3.4.1.  Unfortunately, my version doesn't want to start.
Comment 9 Fedora End Of Life 2013-07-03 20:46:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 00:47:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.